# Deprecated API

## Contents

- Interfaces
- Fields
- Methods
- Constructors
- Enum Constants

- Deprecated Interfaces
  Interface
  Description
  org.apache.lucene.util.GroupVIntUtil.IntReader
  No longer used.

- Deprecated Fields
  Field
  Description
  org.apache.lucene.util.automaton.RegExp.ASCII_CASE_INSENSITIVE
  org.apache.lucene.util.automaton.RegExp.DEPRECATED_COMPLEMENT
  This method will be removed in Lucene 11
  org.apache.lucene.util.BitUtil.VH_BE_DOUBLE
  Better use little endian unless it is needed for backwards compatibility.
  org.apache.lucene.util.BitUtil.VH_BE_FLOAT
  Better use little endian unless it is needed for backwards compatibility.
  org.apache.lucene.util.BitUtil.VH_BE_INT
  Better use little endian unless it is needed for backwards compatibility.
  org.apache.lucene.util.BitUtil.VH_BE_LONG
  Better use little endian unless it is needed for backwards compatibility.
  org.apache.lucene.util.BitUtil.VH_BE_SHORT
  Better use little endian unless it is needed for backwards compatibility.
  org.apache.lucene.util.Version.LUCENE_10_0_0
  (10.1.0) Use latest
  org.apache.lucene.util.Version.LUCENE_10_1_0
  (10.2.0) Use latest
  org.apache.lucene.util.Version.LUCENE_10_2_0
  (10.3.0) Use latest
  org.apache.lucene.util.Version.LUCENE_10_2_1
  Use latest
  org.apache.lucene.util.Version.LUCENE_10_2_2
  Use latest
  org.apache.lucene.util.Version.LUCENE_10_3_0
  (10.3.1) Use latest
  org.apache.lucene.util.Version.LUCENE_10_3_1
  (10.3.2) Use latest
  org.apache.lucene.util.Version.LUCENE_9_0_0
  (9.1.0) Use latest
  org.apache.lucene.util.Version.LUCENE_9_1_0
  (9.2.0) Use latest
  org.apache.lucene.util.Version.LUCENE_9_10_0
  (9.11.0) Use latest
  org.apache.lucene.util.Version.LUCENE_9_11_0
  Use latest
  org.apache.lucene.util.Version.LUCENE_9_11_1
  Use latest
  org.apache.lucene.util.Version.LUCENE_9_12_0
  Use latest
  org.apache.lucene.util.Version.LUCENE_9_12_1
  Use latest
  org.apache.lucene.util.Version.LUCENE_9_12_2
  Use latest
  org.apache.lucene.util.Version.LUCENE_9_12_3
  Use latest
  org.apache.lucene.util.Version.LUCENE_9_12_4
  Use latest
  org.apache.lucene.util.Version.LUCENE_9_2_0
  (9.3.0) Use latest
  org.apache.lucene.util.Version.LUCENE_9_3_0
  (9.4.0) Use latest
  org.apache.lucene.util.Version.LUCENE_9_4_0
  Use latest
  org.apache.lucene.util.Version.LUCENE_9_4_1
  Use latest
  org.apache.lucene.util.Version.LUCENE_9_4_2
  Use latest
  org.apache.lucene.util.Version.LUCENE_9_5_0
  (9.6.0) Use latest
  org.apache.lucene.util.Version.LUCENE_9_6_0
  (9.7.0) Use latest
  org.apache.lucene.util.Version.LUCENE_9_7_0
  (9.8.0) Use latest
  org.apache.lucene.util.Version.LUCENE_9_8_0
  (9.9.0) Use latest
  org.apache.lucene.util.Version.LUCENE_9_9_0
  (9.9.1) Use latest
  org.apache.lucene.util.Version.LUCENE_9_9_1
  (9.9.2) Use latest
  org.apache.lucene.util.Version.LUCENE_9_9_2
  (9.10.0) Use latest
  org.apache.lucene.util.Version.LUCENE_CURRENT
  Use `Version.LATEST`

- Deprecated Methods
  Method
  Description
  org.apache.lucene.index.MergePolicy.MergeSpecification.segString(Directory)
  Use `MergePolicy.MergeSpecification.toString()` instead. The `Directory` parameter is ignored and will be removed in a future release.
  org.apache.lucene.search.DocIdSet.all(int)
  no longer needed since Query and Filter were merged
  org.apache.lucene.search.DocIdSet.bits()
  this method is redundant and will be removed.
  org.apache.lucene.search.IndexSearcher.search(Query, Collector)
  This method is being deprecated in favor of `IndexSearcher.search(Query, CollectorManager)` due to its support for concurrency in IndexSearcher
  org.apache.lucene.search.SortField.getOptimizeSortWithIndexedData()
  org.apache.lucene.search.SortField.getOptimizeSortWithPoints()
  This is a duplicate method for `SortField#getOptimizeSortWithIndexedData`.
  org.apache.lucene.search.SortField.setOptimizeSortWithIndexedData(boolean)
  should only be used for compatibility with 8.x indices that got created with inconsistent data across fields, or the wrong sort configuration in the index sort
  org.apache.lucene.search.SortField.setOptimizeSortWithPoints(boolean)
  should only be used for compatibility with 8.x indices that got created with inconsistent data across fields, or the wrong sort configuration in the index sort. This is a duplicate method for `SortField#setOptimizeSortWithIndexedData`.
  org.apache.lucene.store.DataInput.readGroupVInt(int[], int)
  This method is no longer called by Lucene. It is only kept for backwards compatibility. Code calling this method should migrate to `GroupVIntUtil.readGroupVInts(DataInput, int[], int)` to decode a full group including tails instead.
  org.apache.lucene.store.DataOutput.writeGroupVInts(long[], int)
  This method is preserved only for backwards codecs
  org.apache.lucene.util.automaton.Operations.concatenate(Automaton, Automaton)
  use `Operations.concatenate(List)` instead
  org.apache.lucene.util.automaton.Operations.union(Automaton, Automaton)
  use `Operations.union(Collection)` instead
  org.apache.lucene.util.BitDocIdSet.bits()
  org.apache.lucene.util.CharsRef.getUTF16SortedAsUTF8Comparator()
  This comparator is only a transition mechanism
  org.apache.lucene.util.GroupVIntUtil.readGroupVInt(DataInput, int[], int)
  Use `GroupVIntUtil.readGroupVInts(DataInput, int[], int)` to decode a full group including tails instead
  org.apache.lucene.util.GroupVIntUtil.readGroupVInt(DataInput, long[], int)
  Only for backwards codecs
  org.apache.lucene.util.GroupVIntUtil.readGroupVInt(DataInput, long, GroupVIntUtil.IntReader, long, int[], int)
  Don't call this method, it is no longer implemented. It was only provided for custom `DataInput` subclasses to allow to provide a faster GroupVInt encoding when random access is provided by the underlying storage. This is now obsolete, any implementation calling this should be removed in the calling class.
  org.apache.lucene.util.GroupVIntUtil.readGroupVInts(DataInput, long[], int)
  Only for backwards codecs
  org.apache.lucene.util.GroupVIntUtil.writeGroupVInts(DataOutput, byte[], long[], int)
  org.apache.lucene.util.NotDocIdSet.bits()

- Deprecated Constructors
  Constructor
  Description
  org.apache.lucene.search.TopFieldCollectorManager(Sort, int, FieldDoc, int, boolean)
  Use `TopFieldCollectorManager(Sort, int, FieldDoc, int)`, the supportsConcurrency parameter is now a no-op.
  org.apache.lucene.search.TopScoreDocCollectorManager(int, ScoreDoc, int, boolean)
  Use `TopScoreDocCollectorManager(int, ScoreDoc, int)`, the supportsConcurrency parameter is now a no-op.

- Deprecated Enum Constants
  Enum Constant
  Description
  org.apache.lucene.util.automaton.RegExp.Kind.REGEXP_DEPRECATED_COMPLEMENT
  Will be removed in Lucene 11
  org.apache.lucene.util.packed.PackedInts.Format.PACKED_SINGLE_BLOCK
  Use `PackedInts.Format.PACKED` instead.